//
//  ContentView.swift
//  Demo2
//
//  Created by Dimo Abdelaziz on 11/06/2024.
//

import SwiftUI

// With NavigationLink
struct ContentViewWithNavigationLink: View {
    var body: some View {

        NavigationStack {
            VStack {
                NavigationLink("This is screen number 1") {
                    Text("Go to screen 1")
                }
                Spacer().frame(height: 10)
                NavigationLink("This is screen number 2") {
                    Image("sam")
                }
                Spacer().frame(height: 10)
                NavigationLink("This is screen number 2") {
                    Image("dbz")
                }

                Spacer().frame(height: 10)
                NavigationLink("This is screen number 3") {
                    Image("pokemon")
                }

                Spacer().frame(height: 10)
                NavigationLink("This is screen number 4") {
                    Image("dimo")
                }
            }
        }
    }
}

// Without NavigationLink

struct ContentViewWitouthNavigationLink: View {
    @State private var showDetails = false

    var body: some View {
        NavigationStack {
            VStack {
                Button("Update detail") {
                    showDetails = true
                }
            }
            .navigationDestination(isPresented: $showDetails) {
                VStack {
                    Image("dimo")
                    Image("pokemon")

                    Text("Deails was updated")
                    Button("close") {
                        showDetails = false
                    }
                }
            }
        }
    }
}
#Preview {
    ContentView()
}
